Proposal Poll
Retrieves Proposal Response based on unique productId,manufacturerId,productGroupId and requestId
Query Parameters
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
- Array [
- ]
Request Id assigned by 1SB
data object required
Section to carry proposal poll response
status object required
Status of the proposal submission
Possible values: <= 50 characters
Status code
Status message
ISBTracking object
1SB tracking identifiers
Transaction Id generated by 1SB for each proposal submission
Quote ID generated by 1SB for Single quote
varFields object[]
Additional fields for 1SB tracking section
Name of additional field
Value of additional field
ManufacturerTracking object
Insurer tracking identifiers (quote ID, application number, policy number)
quotation ID
proposal application number
policy number
varFields object[]
Additional fields for manufacturerTracking section
Name of additional field
Value of additional field
URL object
URLs returned by the insurer (policy, payment, mandate, resume journey)
policy URL
URL for Payment redirection to manufacturers website
Some insurers provide PDF to proposal form
URL given by manufacturer to complete mandate registration process
URL given by manufacturer to resume to proposal process on their website
varFields object[]
Additional fields for URL section
Name of additional field
Value of additional field
medicals object
Medical requirement details for the submitted proposal
Is medical check up required for submitted proposal? (Yes/ No)
What type of medical check is applicable. example: Physical medical, tele medical, etc.
varFields object[]
Additional fields for URL section
Name of additional field
Value of additional field
varFields object[]
Additional fields for proposal response
Name of additional field
Value of additional field
Possible values: <= 15 characters
Product code for which the proposal is submitted
Possible values: <= 15 characters
Insurance company code
Line of business / product group of the product
Indicates if the proposal transaction is complete or not. Keep polling while false.
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
Error code
Possible values: <= 100 characters
Error message to be displayed to the user
Possible values: <= 20 characters
Error identifier
Possible values: <= 100 characters
Error message
Possible values: <= 10 characters
Error type
{
"reqId": "af9a8ac3-3d66-413c-87e4-7c525f106b3c",
"data": {
"status": {
"code": "200",
"message": "Success"
},
"ISBTracking": {
"1SBproposalReferenceId": "string",
"1SBQuoteRequestID": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"ManufacturerTracking": {
"quoteID": "string",
"applicationNumber": "string",
"policyNumber": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"URL": {
"policyURL": "string",
"paymentURL": "string",
"applicationFormURL": "string",
"standingInstructionURL": "string",
"resumeJourneyURL": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"medicals": {
"isMedicalReq": "null",
"typeOfMedical": "string",
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
]
},
"varFields": [
{
"fieldName": "string",
"fieldValue": "string"
}
],
"product_id": "string",
"manufacturer_id": "string",
"line_of_business": "string",
"isPollComplete": true
},
"errors": []
}
HDFC Life Sanchay Plus (SANCHPV9) - Proposal Poll response
{
"reqId": "af9a8ac3-3d66-413c-87e4-7c525f106b3c",
"data": {
"status": {
"code": "200",
"message": "Success"
},
"ISBTracking": {
"1SBproposalReferenceId": "",
"1SBQuoteRequestID": "",
"varFields": [
{
"fieldName": "",
"fieldValue": ""
}
]
},
"ManufacturerTracking": {
"quoteID": "",
"applicationNumber": "1290028223845",
"policyNumber": "",
"varFields": [
{
"fieldName": "",
"fieldValue": ""
}
]
},
"URL": {
"policyURL": "",
"paymentURL": "",
"resumeJourneyURL": "",
"standingInstructionURL": "",
"varFields": [
{
"fieldName": "",
"fieldValue": ""
}
]
},
"medicals": {
"isMedicalReq": "null",
"typeOfMedical": "null",
"varFields": [
{
"fieldName": "null",
"fieldValue": "null"
}
]
},
"varFields": [
{
"fieldName": "null",
"fieldValue": "null"
}
],
"product_id": "SANCHPV9",
"manufacturer_id": "HDFC",
"line_of_business": "LifeSave",
"isPollComplete": true
},
"errors": []
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}